Name:           mate-brisk-menu
Summary:        Brisk menu for MATE
Version:        0.6.0
Release:        %mkrel 0.2
License:	GPLv3+
URL:		http://mate-desktop.org
Source0:	brisk-menu.tar.gz
Group:		Graphical desktop/MATE
#------------------------------------------
BuildRequires: autoconf
BuildRequires: automake 
BuildRequires: gettext
BuildRequires: intltool
BuildRequires: lib64atk1.0-devel
BuildRequires: lib64cairo-devel
BuildRequires: lib64gdk_pixbuf2.0_0-devel
BuildRequires: lib64glib2.0-devel
BuildRequires: lib64gtk+3.0-devel
BuildRequires: lib64pango1.0-devel 
BuildRequires: lib64x11-devel
BuildRequires: mate-menus-devel
BuildRequires: mate-panel-devel 
BuildRequires: pkgconfig
#------------------------------------------

Obsoletes:  %{name}
Provides:   %{name} = %{version}-%{release}

%description
The Brisk Menu enables quick launching of applications, as well as access to session
controls (such as logout, suspend, hibernate) and the system's Control Center. 

%prep
%setup -qn brisk-menu

%build
%meson
%meson_build
    
%install
rm -rf %buildroot
%meson_install

%find_lang brisk-menu

%files -f brisk-menu.lang
%defattr(-,root,root,-)
%{_libexecdir}/brisk-menu
%{_datadir}/dbus-1/services/org.mate.panel.applet.BriskMenuFactory.service
%{_datadir}/glib-2.0/schemas/com.solus-project.brisk-menu.gschema.xml
%{_datadir}/icons/hicolor/scalable/actions/brisk_system-log-out-symbolic.svg
%{_datadir}/mate-panel/applets/com.solus_project.brisk.BriskMenu.mate-panel-applet

%post
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%postun
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%clean
rm -rf %buildroot


%changelog
* Tue Feb 18 2020 tex - 0.6.0-0.2pclos2020
- rebuild against updates

* Wed May 08 2019 tex - 0.6.0-0.1-1pclos2019
- git release

* Thu Mar 07 2019 tex - 0.5.0-2pclos2019
- update from git

* Sat Nov 04 2017 bb2 <bb2> - 0.5.0-1pclos2017
- new version
